## ros-noetic-rwt-utils-3rdparty 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(rwt_utils_3rdparty)

find_package(catkin REQUIRED COMPONENTS
)

catkin_package(
)


include_directories(
  ${catkin_INCLUDE_DIRS}
)

install(DIRECTORY www/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/www
)

=== www/d3/Makefile ===
LOCALE ?= en_US

GENERATED_FILES = \
	d3.js \
	d3.min.js \
	src/format/format-localized.js \
	src/time/format-localized.js \
	bower.json \
	component.json

all: $(GENERATED_FILES)

.PHONY: clean all test

test:
	@npm test

src/format/format-localized.js: bin/locale src/format/format-locale.js
	LC_NUMERIC=$(LOCALE) LC_MONETARY=$(LOCALE) locale -ck LC_NUMERIC LC_MONETARY | bin/locale src/format/format-locale.js > $@

src/time/format-localized.js: bin/locale src/time/format-locale.js
	LC_TIME=$(LOCALE) locale -ck LC_TIME | bin/locale src/time/format-locale.js > $@

src/start.js: package.json bin/start
	bin/start > $@

d3.js: $(shell node_modules/.bin/smash --list src/d3.js) package.json
	@rm -f $@
	node_modules/.bin/smash src/d3.js | node_modules/.bin/uglifyjs - -b indent-level=2 -o $@
	@chmod a-w $@

d3.min.js: d3.js bin/uglify
	@rm -f $@
	bin/uglify $< > $@

%.json: bin/% package.json
	@rm -f $@
	bin/$* > $@
	@chmod a-w $@

clean:
	rm -f -- $(GENERATED_FILES)

=== debian/changelog ===
ros-noetic-rwt-utils-3rdparty (0.1.1-2buster) buster; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.1.0-2buster) buster; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * close after pushing connect on roswebsocket setting menu (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * change Setting label from ROS Master URI -> Rosbridge Websocket URI (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.5-2buster) buster; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.4-2buster) buster; urgency=high

  * [rwt_image_view] add port arguments in rwt_utils (#90 <https://github.com/tork-a/visualization_rwt//issues/90>)
  * Add settings for ROS connection (#76 <https://github.com/tork-a/visualization_rwt//issues/76>)
  * Modified rwt's javascript module path. (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Yuki Furuta, Shingo Kitagawa, Iory Yanokura

 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.3-2buster) buster; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.2-2buster) buster; urgency=high

  * remove old rosbuild files
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * catkinize visualization_rwt packages
  * adding bootstrap without responsive
  * adding async.js
  * adding jquery
  * adding less.js
  * adding bootstrap
  * renaming js_utils -> rwt_utils_3rdparty
  * Contributors: Yuki Furuta, Isaac IY Saito, Kei Okada, Ryohei Ueda

 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/control ===
Source: ros-noetic-rwt-utils-3rdparty
Section: misc
Priority: optional
Maintainer: Ryohei Ueda <garaemon@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rwt-utils-3rdparty
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: The rwt_utils_3rdparty package

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-rwt-utils-3rdparty//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install

## ros-noetic-rwt-utils-3rdparty 0.1.3

=== debian/changelog ===
ros-noetic-rwt-utils-3rdparty (0.1.3-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Wed, 31 May 2023 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.1.2-1focal) focal; urgency=high

  * [rwt_utils_3rdparty] update jquery from 1.8.3 to 1.12.4 (#124 <https://github.com/tork-a/visualization_rwt//issues/124>)
  * Contributors: Koki Shinjo

 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 29 May 2023 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.1.1-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.1.0-1focal) focal; urgency=high

  * use websocket_port 9090 as defaut (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * close after pushing connect on roswebsocket setting menu (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * change Setting label from ROS Master URI -> Rosbridge Websocket URI (#112 <https://github.com/tork-a/visualization_rwt/issues/112>)
  * Contributors: Kei Okada, Shingo Kitagawa

 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 11 Nov 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.5-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Thu, 11 Mar 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.4-1focal) focal; urgency=high

  * [rwt_image_view] add port arguments in rwt_utils (#90 <https://github.com/tork-a/visualization_rwt//issues/90>)
  * Add settings for ROS connection (#76 <https://github.com/tork-a/visualization_rwt//issues/76>)
  * Modified rwt's javascript module path. (#70 <https://github.com/tork-a/visualization_rwt//issues/70>)
  * Contributors: Yuki Furuta, Shingo Kitagawa, Iory Yanokura

 -- Ryohei Ueda <garaemon@gmail.com>  Mon, 08 Mar 2021 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.3-1focal) focal; urgency=high



 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Sep 2016 15:00:00 -0000

ros-noetic-rwt-utils-3rdparty (0.0.2-1focal) focal; urgency=high

  * remove old rosbuild files
  * Add maintainer. Consistent pkg versions. Sort out manifest format.
  * catkinize visualization_rwt packages
  * adding bootstrap without responsive
  * adding async.js
  * adding jquery
  * adding less.js
  * adding bootstrap
  * renaming js_utils -> rwt_utils_3rdparty
  * Contributors: Yuki Furuta, Isaac IY Saito, Kei Okada, Ryohei Ueda

 -- Ryohei Ueda <garaemon@gmail.com>  Fri, 30 Sep 2016 15:00:00 -0000

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF -DCATKIN_ENABLE_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"
+		-DCMAKE_PREFIX_PATH="/opt/ros/noetic" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
